## acl 2.0.8-1

=== Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = .
HAVE_BUILDDEFS = $(shell test -f $(TOPDIR)/include/builddefs && echo yes || echo no)

ifeq ($(HAVE_BUILDDEFS), yes)
include $(TOPDIR)/include/builddefs
endif

CONFIGURE = configure include/builddefs include/config.h
LSRCFILES = configure configure.in Makepkgs install-sh README VERSION

LDIRT = config.log .dep config.status config.cache confdefs.h conftest* \
	Logs/* built .census install.* install-dev.* install-lib.* *.gz

SUBDIRS = include libacl getfacl setfacl chacl man doc po \
	  test examples build debian

default: $(CONFIGURE)
ifeq ($(HAVE_BUILDDEFS), no)
	$(MAKE) -C . $@
else
	$(SUBDIRS_MAKERULE)
endif

ifeq ($(HAVE_BUILDDEFS), yes)
include $(BUILDRULES)
else
clean:	# if configure hasn't run, nothing to clean
endif

$(CONFIGURE):
	autoconf
	./configure
	touch .census

install: default
	$(SUBDIRS_MAKERULE)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 README $(PKG_DOC_DIR)

install-dev: default
	$(SUBDIRS_MAKERULE)

install-lib: default
	$(SUBDIRS_MAKERULE)

realclean distclean: clean
	rm -f $(LDIRT) $(CONFIGURE)
	rm -rf autom4te.cache
	[ ! -d Logs ] || rmdir Logs

=== chacl/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = chacl
CFILES = chacl.c

LCFLAGS = -DPKG_NAME=\"$(PKG_NAME)\" -DLOCALEDIR=\"$(gnulocaledir)\"
LLDLIBS = $(LIBATTR) $(LIBACL)
LTDEPENDENCIES = $(LIBACL)

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
install-dev install-lib:

=== doc/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = extensions.txt libacl.txt TODO PORTING CHANGES LICENSE INSTALL \
	    old-acl.5
LDIRT = *.gz

default: CHANGES.gz

include $(BUILDRULES)

CHANGES.gz:
	$(ZIP) --best -c < CHANGES > $@

install: default
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 PORTING CHANGES.gz $(PKG_DOC_DIR)
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -S CHANGES.gz $(PKG_DOC_DIR)/changelog.gz
else
	$(INSTALL) -m 644 LICENSE $(PKG_DOC_DIR)
endif

install-dev install-lib:

=== examples/Makefile ===
#
# Copyright (c) 2001 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = README Makefile.examples get-acl.c set-acl.c copy-acl.c
LDIRT = get-acl set-acl copy-acl

include $(BUILDRULES)

default install install-dev install-lib:

=== getfacl/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = getfacl
CFILES = getfacl.c user_group.c
HFILES = user_group.h

LCFLAGS = -DPKG_NAME=\"$(PKG_NAME)\" -DLOCALEDIR=\"$(gnulocaledir)\"
LLDLIBS = $(LIBATTR) $(LIBACL)
LTDEPENDENCIES = $(LIBACL)

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
install-dev install-lib:

=== include/Makefile ===
#
# Copyright (c) 2001 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

HFILES = acl.h libacl.h acl_ea.h 
LSRCFILES = builddefs.in buildmacros buildrules config.h.in
LDIRT = sys acl

default:
	rm -f sys acl
	$(LN_S) . sys
	$(LN_S) . acl

include $(BUILDRULES)

install-dev: default
	$(INSTALL) -m 755 -d $(PKG_INC_DIR)
	$(INSTALL) -m 755 -d $(PKG_INC_DIR)/sys
	$(INSTALL) -m 644 acl.h $(PKG_INC_DIR)/sys/acl.h
	$(INSTALL) -m 755 -d $(PKG_INC_DIR)/acl
	$(INSTALL) -m 644 libacl.h $(PKG_INC_DIR)/acl/libacl.h
install install-lib:

=== libacl/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2.1 of the GNU Lesser General Public License
# as published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU Lesser General Public
# License along with this program; if not, write the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston MA 02111-1307,
# USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTLIBRARY = libacl.la
LT_CURRENT = 1
LT_REVISION = 0
LT_AGE = 0

CFILES = $(POSIX_CFILES) $(LIBACL_CFILES) $(INTERNAL_CFILES)
HFILES = libobj.h libacl.h byteorder.h __acl_from_xattr.h __acl_to_xattr.h

POSIX_CFILES = \
	acl_add_perm.c acl_calc_mask.c acl_clear_perms.c acl_copy_entry.c \
	acl_copy_ext.c acl_copy_int.c acl_create_entry.c acl_delete_def_file.c \
	acl_delete_entry.c acl_delete_perm.c acl_dup.c acl_free.c \
	acl_from_text.c acl_get_entry.c acl_get_fd.c acl_get_file.c \
	acl_get_perm.c acl_get_permset.c acl_get_qualifier.c \
	acl_get_tag_type.c acl_init.c acl_set_fd.c acl_set_file.c \
	acl_set_permset.c acl_set_qualifier.c acl_set_tag_type.c acl_to_text.c \
	acl_valid.c acl_size.c

LIBACL_CFILES = \
	acl_to_any_text.c acl_entries.c acl_check.c acl_error.c acl_cmp.c \
	acl_extended_fd.c acl_extended_file.c acl_equiv_mode.c acl_from_mode.c

INTERNAL_CFILES = \
	__acl_to_any_text.c __acl_to_xattr.c __acl_from_xattr.c \
	__acl_reorder_obj_p.c __libobj.c


default: $(LTLIBRARY)

include $(BUILDRULES)

install:

install-dev: default
	$(INSTALL_LTLIB_DEV)

install-lib: default
	$(INSTALL_LTLIB)

=== man/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

SUBDIRS = man1 man3 man5

default install install-dev install-lib: $(SUBDIRS)
	$(SUBDIRS_MAKERULE)

include $(BUILDRULES)

=== po/Makefile ===
#
# Copyright (c) 2001 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LINGUAS = de

LSRCFILES = Make.rules POTFILES.in acl.pot de.po
LDIRT = $(LINGUAS:%=%.mo)

include $(BUILDRULES)

default install install-dev install-lib:

=== setfacl/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = setfacl
CFILES = setfacl.c do_set.c sequence.c parse.c
HFILES = sequence.h parse.h

LCFLAGS = -DPKG_NAME=\"$(PKG_NAME)\" -DLOCALEDIR=\"$(gnulocaledir)\"
LLDLIBS = $(LIBATTR) $(LIBACL)
LTDEPENDENCIES = $(LIBACL)

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
install-dev install-lib:

=== test/Makefile ===
#
# Copyright (c) 2001 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = run mode \
	    getfacl-noacl.test asroot.test misc.test setfacl-noacl.test \
	    fileutil.test perm.test setfacl.test make-tree

include $(BUILDRULES)

default install install-dev install-lib:

=== man/man3/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ../..
include $(TOPDIR)/include/builddefs

MAN_SECTION	= 3

MAN_PAGES	= $(shell echo *.$(MAN_SECTION))
MAN_DEST	= $(PKG_MAN_DIR)/man$(MAN_SECTION)
LSRCFILES	= $(MAN_PAGES)

default : $(MAN_PAGES)

include $(BUILDRULES)

install-dev : default
	$(INSTALL) -m 755 -d $(MAN_DEST)
	$(INSTALL_MAN)
install install-lib:

=== debian/changelog ===
acl (2.0.8-1) unstable; urgency=low

  * New upstream bugfix release

 -- Nathan Scott <nathans@debian.org>  Sat, 13 Apr 2002 09:45:06 +1000

acl (2.0.7-1) unstable; urgency=low

  * New upstream bugfix release

 -- Nathan Scott <nathans@debian.org>  Wed, 10 Apr 2002 09:50:24 +1100

acl (2.0.6-1) unstable; urgency=low

  * New upstream bugfix release

 -- Nathan Scott <nathans@debian.org>  Mon,  8 Apr 2002 08:56:34 +1100

acl (2.0.5-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Wed, 27 Mar 2002 08:47:58 +1100

acl (2.0.4-2) unstable; urgency=low

  * Fix attr-dev build dependency issue (closes: #138280)

 -- Nathan Scott <nathans@debian.org>  Fri, 15 Mar 2002 07:08:50 +1100

acl (2.0.4-1) unstable; urgency=low

  * New upstream bugfix release

 -- Nathan Scott <nathans@debian.org>  Tue, 12 Mar 2002 09:47:50 +1100

acl (2.0.2-1) unstable; urgency=low

  * Initial release (closes: #97686)
  * Uses the official Linux extended attributes interfaces (currently
     supported by ext2, ext3, and XFS)

 -- Nathan Scott <nathans@debian.org>  Tue, 26 Feb 2002 13:25:26 +1100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: acl
Section: utils
Priority: optional
Maintainer: Nathan Scott <nathans@debian.org>
Build-Depends: autoconf, debmake, libtool, attr-dev (>= 2.0.0)
Standards-Version: 3.5.5

Package: acl
Depends: ${shlibs:Depends}
Architecture: any
Description: Access control list utilities
 This package contains the getfacl and setfacl utilities needed for
 manipulating access control lists.

Package: acl-dev
Section: devel
Priority: extra
Depends: libc6-dev, acl (>= 2.0.0)
Conflicts: acl (<< 2.0.0)
Architecture: any
Description: Access control list static libraries and headers
 This package contains the static libraries and header files needed
 for developing programs which make use of the access control list
 programming interface defined in POSIX 1003.1e draft standard 17.

Package: libacl1
Depends: ${shlibs:Depends}
Section: utils
Priority: optional
Conflicts: acl (<< 2.0.0)
Architecture: any
Description: Access control list shared library
 This package contains the libacl.so dynamic library containing
 the POSIX 1003.1e draft standard 17 functions for manipulating
 access control lists.

=== debian/rules ===
#!/usr/bin/make -f

package = acl
develop = $(package)-dev
library = lib$(package)1

dirtmp = debian/tmp
dirdev = debian/$(develop)
dirlib = debian/$(library)
pkgtmp = DIST_ROOT=`pwd`/$(dirtmp); export DIST_ROOT;
pkgdev = DIST_ROOT=`pwd`/$(dirdev); export DIST_ROOT;
pkglib = DIST_ROOT=`pwd`/$(dirlib); export DIST_ROOT;
stdenv = @GZIP=-q; export GZIP;

options = DEBUG="-DNDEBUG"; OPTIMIZER="-O1 -g"; DISTRIBUTION="debian"; \
	export DEBUG OPTIMIZER DISTRIBUTION;
checkdir = test -f debian/rules

build: built
built: config
	@echo "== dpkg-buildpackage: build" 1>&2
	$(MAKE) default
	touch built

config: .census
.census:
	@echo "== dpkg-buildpackage: configure" 1>&2
	$(checkdir)
	autoconf
	$(options) ./configure
	touch .census

clean:
	@echo "== dpkg-buildpackage: clean" 1>&2
	$(checkdir)
	-rm -f built .census
	$(MAKE) distclean
	-rm -rf $(dirtmp) $(dirdev) $(dirlib) debian/*substvars debian/files*

binary-indep:

# Note1: dev pkg with .so symlinks to base pkg confuses debstd;
# so the .so 'Dangling symlink' message is benign.
# Note2: absolute symlinks (required by policy) confuse debstd;
# so we'll filter out symlink messages entirely now.
# 
binary-arch: checkroot built
	@echo "== dpkg-buildpackage: binary-arch" 1>&2
	$(checkdir)
	-rm -rf $(dirtmp) $(dirdev) $(dirlib)
	$(pkgtmp) $(MAKE) -C . install
	$(pkgdev) $(MAKE) -C . install-dev
	$(pkglib) $(MAKE) -C . install-lib
	$(pkgtmp) $(MAKE) -C build src-manifest
	@echo "== dpkg-buildpackage: debstd" 1>&2
	$(stdenv) debstd -m | grep -v 'Dangling symlink'
	find . > /tmp/debstd.out
	dpkg-gencontrol -isp -p$(package) -P$(dirtmp) -Tdebian/substvars
	dpkg-gencontrol -isp -p$(develop) -P$(dirdev)
	dpkg-gencontrol -isp -p$(library) -P$(dirlib) -Tdebian/$(library).substvars
	find . > /tmp/gencontrol.out
	chown -R root.root $(dirtmp) $(dirdev) $(dirlib)
	chmod -R go=rX $(dirtmp) $(dirdev) $(dirlib)
	dpkg --build $(dirtmp) .. 
	dpkg --build $(dirdev) ..
	dpkg --build $(dirlib) ..

binary: binary-indep binary-arch

checkroot:
	test 0 -eq `id -u`

.PHONY: binary binary-arch binary-indep clean checkroot

## acl 2.2.23-1

=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
+# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
 # 
 # This program is free software; you can redistribute it and/or modify it
 # under the terms of version 2 of the GNU General Public License as

=== po/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (c) 2001 Silicon Graphics, Inc.  All Rights Reserved.
+# Copyright (c) 2001-2002 Silicon Graphics, Inc.  All Rights Reserved.
 # 
 # This program is free software; you can redistribute it and/or modify it
 # under the terms of version 2 of the GNU General Public License as
@@ -33,11 +33,22 @@
 TOPDIR = ..
 include $(TOPDIR)/include/builddefs
 
-LINGUAS = de
+LINGUAS = de pl
+LSRCFILES = $(LINGUAS:%=%.po) $(PKG_NAME).pot
 
-LSRCFILES = Make.rules POTFILES.in acl.pot de.po
-LDIRT = $(LINGUAS:%=%.mo)
+XGETTEXTFILES =	$(TOPDIR)/chacl/chacl.c \
+		$(TOPDIR)/setfacl/do_set.c \
+		$(TOPDIR)/setfacl/setfacl.c \
+		$(TOPDIR)/getfacl/getfacl.c \
+		$(TOPDIR)/libacl/acl_error.c \
+		$(TOPDIR)/libacl/perm_copy_fd.c \
+		$(TOPDIR)/libacl/perm_copy_file.c
+
+default: $(LINGUAS:%=%.mo)
 
 include $(BUILDRULES)
 
-default install install-dev install-lib:
+install: default
+	$(INSTALL_LINGUAS)
+
+install-dev install-lib:

=== man/man5/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ../..
include $(TOPDIR)/include/builddefs

MAN_SECTION	= 5

MAN_PAGES	= $(shell echo *.$(MAN_SECTION))
MAN_DEST	= $(PKG_MAN_DIR)/man$(MAN_SECTION)
LSRCFILES	= $(MAN_PAGES)

default : $(MAN_PAGES)

include $(BUILDRULES)

install : default
	$(INSTALL) -m 755 -d $(MAN_DEST)
	$(INSTALL_MAN)
install-dev install-lib:

=== debian/control ===
Source: acl
Section: utils
Priority: optional
Maintainer: Nathan Scott <nathans@debian.org>
Build-Depends: autoconf, debmake, gettext, libtool, libattr1-dev (>= 2.4.4)
Standards-Version: 3.5.9

Package: acl
Depends: ${shlibs:Depends}
Architecture: any
Description: Access control list utilities
 This package contains the getfacl and setfacl utilities needed for
 manipulating access control lists.

Package: libacl1-dev
Section: libdevel
Priority: extra
Depends: libc6-dev, libacl1 (>= 2.0.0)
Provides: acl-dev
Replaces: acl-dev
Conflicts: acl-dev, acl (<< 2.0.0), kerberos4kth-dev (<< 1.2.2-4)
Architecture: any
Description: Access control list static libraries and headers
 This package contains the static libraries and header files needed
 for developing programs which make use of the access control list
 programming interface defined in POSIX 1003.1e draft standard 17.

Package: libacl1
Depends: ${shlibs:Depends}
Section: libs
Priority: required
Conflicts: acl (<< 2.0.0), libacl1-kerberos4kth
Architecture: any
Description: Access control list shared library
 This package contains the libacl.so dynamic library containing
 the POSIX 1003.1e draft standard 17 functions for manipulating
 access control lists.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 package = acl
-develop = $(package)-dev
+develop = lib$(package)1-dev
 library = lib$(package)1
 
 dirtmp = debian/tmp
@@ -26,8 +26,7 @@
 .census:
 	@echo "== dpkg-buildpackage: configure" 1>&2
 	$(checkdir)
-	autoconf
-	$(options) ./configure
+	$(options) $(MAKE) configure
 	touch .census
 
 clean:
@@ -40,10 +39,12 @@
 binary-indep:
 
 # Note1: dev pkg with .so symlinks to base pkg confuses debstd;
-# so the .so 'Dangling symlink' message is benign.
+#        so the .so 'Dangling symlink' message is benign, as is
+#        the message about not having executables/libraries.
 # Note2: absolute symlinks (required by policy) confuse debstd;
-# so we'll filter out symlink messages entirely now.
-# 
+#        so we'll filter out symlink messages entirely now.
+fixup_messages = egrep -v 'Dangling symlink|No executables or libraries'
+
 binary-arch: checkroot built
 	@echo "== dpkg-buildpackage: binary-arch" 1>&2
 	$(checkdir)
@@ -53,12 +54,11 @@
 	$(pkglib) $(MAKE) -C . install-lib
 	$(pkgtmp) $(MAKE) -C build src-manifest
 	@echo "== dpkg-buildpackage: debstd" 1>&2
-	$(stdenv) debstd -m | grep -v 'Dangling symlink'
-	find . > /tmp/debstd.out
+	$(stdenv) debstd -m | $(fixup_messages)
 	dpkg-gencontrol -isp -p$(package) -P$(dirtmp) -Tdebian/substvars
 	dpkg-gencontrol -isp -p$(develop) -P$(dirdev)
 	dpkg-gencontrol -isp -p$(library) -P$(dirlib) -Tdebian/$(library).substvars
-	find . > /tmp/gencontrol.out
+	cp debian/shlibs.$(library) $(dirlib)/DEBIAN/shlibs
 	chown -R root.root $(dirtmp) $(dirdev) $(dirlib)
 	chmod -R go=rX $(dirtmp) $(dirdev) $(dirlib)
 	dpkg --build $(dirtmp) ..

## acl 2.2.23-1maemo1

=== libacl/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
+# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
 # 
 # This program is free software; you can redistribute it and/or modify it
 # under the terms of version 2.1 of the GNU Lesser General Public License
@@ -32,15 +32,23 @@
 #
 
 TOPDIR = ..
+
+LTLDFLAGS += -Wl,--version-script,$(TOPDIR)/exports
 include $(TOPDIR)/include/builddefs
 
 LTLIBRARY = libacl.la
-LT_CURRENT = 1
+LTLIBS = -lattr $(LIBMISC)
+LTDEPENDENCIES = $(LIBMISC)
+LT_CURRENT = 2
 LT_REVISION = 0
-LT_AGE = 0
+LT_AGE = 1
 
-CFILES = $(POSIX_CFILES) $(LIBACL_CFILES) $(INTERNAL_CFILES)
-HFILES = libobj.h libacl.h byteorder.h __acl_from_xattr.h __acl_to_xattr.h
+CFILES = $(POSIX_CFILES) $(LIBACL_CFILES) $(INTERNAL_CFILES) \
+	 perm_copy_fd.c # perm_copy_file.c
+HFILES = libobj.h libacl.h byteorder.h __acl_from_xattr.h __acl_to_xattr.h \
+	 perm_copy.h
+
+LCFLAGS = -include perm_copy.h
 
 POSIX_CFILES = \
 	acl_add_perm.c acl_calc_mask.c acl_clear_perms.c acl_copy_entry.c \
@@ -58,7 +66,7 @@
 
 INTERNAL_CFILES = \
 	__acl_to_any_text.c __acl_to_xattr.c __acl_from_xattr.c \
-	__acl_reorder_obj_p.c __libobj.c
+	__acl_reorder_obj_p.c __libobj.c __apply_mask_to_mode.c
 
 
 default: $(LTLIBRARY)

=== debian/changelog ===
acl (2.2.23-1maemo1) unstable; urgency=low

  * Don't link perm_copy_file because of license problem.

 -- Maemo Integration <integration@maemo.org>  Thu,  1 Jun 2006 21:15:18 +0300

acl (2.2.23-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 02 Feb 2004 12:35:56 +1100

acl (2.2.21-1) unstable; urgency=low

  * New upstream release
  * Make libacl1-dev conflict on kerberos4kth versioned (closes: #219715)

 -- Nathan Scott <nathans@debian.org>  Mon, 10 Nov 2003 09:23:21 +1100

acl (2.2.20-1) unstable; urgency=low

  * New upstream release
  * Fix incorrect man page entry (closes: #213244)
  * Fix GNU/Hurd build issues, thanks to Robert Millan (closes: #215153)

 -- Nathan Scott <nathans@debian.org>  Mon, 13 Oct 2003 13:07:43 +1000

acl (2.2.15-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri, 08 Aug 2003 16:39:10 +1000

acl (2.2.14-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 04 Aug 2003 09:18:00 +1000

acl (2.2.13-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Tue, 29 Jul 2003 11:27:53 +1000

acl (2.2.12-1) unstable; urgency=low

  * Don't always call msgmerge, fix from Steve Langasek (closes: #199277)

 -- Nathan Scott <nathans@debian.org>  Thu,  3 Jul 2003 10:55:01 +1000

acl (2.2.11-1) unstable; urgency=low

  * New upstream release
  * Fix lib package dependencies, thanks to Steve Langasek (closes: #193149)

 -- Nathan Scott <nathans@debian.org>  Wed, 04 Jun 2003 15:50:50 +1000

acl (2.2.10-1) unstable; urgency=low

  * New upstream release
  * Added runtime conflict with libacl1-kerberos4kth, as the
    presence of this package breaks Samba's use of libacl1.

 -- Nathan Scott <nathans@debian.org>  Mon, 26 May 2003 11:38:53 +1000

acl (2.2.9-1) unstable; urgency=low

  * New upstream release
  * Updated policy version to which this package conforms
  * Fine-tuned the libacl1-dev dependencies a bit (closes: #188068)

 -- Nathan Scott <nathans@debian.org>  Sat, 26 Apr 2003 04:36:01 +1000

acl (2.2.4-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 10 Feb 2003 16:15:18 +1100

acl (2.2.1-1) unstable; urgency=low

  * Clarify acl(5) with respect to fileutils support (closes: #172642)
  * Fix a bash-ism in debian/rules (closes: #173025)

 -- Nathan Scott <nathans@debian.org>  Mon, 16 Dec 2002 09:40:50 +1100

acl (2.2.0-1) unstable; urgency=low

  * New upstream release
  * Added runtime conflict with kerberos4kth-dev (closes: #172169)

 -- Nathan Scott <nathans@debian.org>  Mon,  9 Dec 2002 08:09:15 +1100

acl (2.1.1-1) unstable; urgency=low

  * Fix Debian package dependency rules for acl (closes: #166709)
  * Fix the group for libacl1, was "utils" now "libs" (closes: #166835)

 -- Nathan Scott <nathans@debian.org>  Tue, 29 Oct 2002 09:29:52 +1100

acl (2.1.0-1) unstable; urgency=low

  * New upstream release, changing dev package name (closes: #141756)

 -- Nathan Scott <nathans@debian.org>  Sat, 19 Oct 2002 08:40:38 +1000

acl (2.0.19-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Thu,  5 Sep 2002 09:12:02 +1000

acl (2.0.17-1) unstable; urgency=low

  * New upstream bugfix release

 -- Nathan Scott <nathans@debian.org>  Tue, 13 Aug 2002 07:52:54 +1000

acl (2.0.15-1) unstable; urgency=low

  * New upstream release (build-related and docs changes only)
  * Follow Steve Langasek's advice to fix libattr issue (closes: #150854)

 -- Nathan Scott <nathans@debian.org>  Thu,  4 Jul 2002 12:10:38 +1000

acl (2.0.14-1) unstable; urgency=low

  * New upstream release (build-related changes only)

 -- Nathan Scott <nathans@debian.org>  Thu,  4 Jul 2002 12:10:38 +1000

acl (2.0.13-1) unstable; urgency=low

  * New upstream release for (even) closer standard compliance
  * Increment the libacl version from 1.0.1 to 1.0.2

 -- Nathan Scott <nathans@debian.org>  Tue, 25 Jun 2002 17:08:03 +1000

acl (2.0.12-1) unstable; urgency=low

  * Increment the libacl version from 1.0.0 to 1.0.1 (closes: #150854)

 -- Nathan Scott <nathans@debian.org>  Tue, 25 Jun 2002 08:27:20 +1000

acl (2.0.11-1) unstable; urgency=low

  * New upstream bugfix release

 -- Nathan Scott <nathans@debian.org>  Wed,  1 May 2002 09:30:54 +1000

acl (2.0.10-1) unstable; urgency=low

  * New upstream bugfix release
  * Add accidentally removed dependency of libacl on libattr

 -- Nathan Scott <nathans@debian.org>  Mon, 22 Apr 2002 15:12:21 +1000

acl (2.0.9-1) unstable; urgency=low

  * New upstream bugfix release (affects 64 bit platforms only)

 -- Nathan Scott <nathans@debian.org>  Tue, 16 Apr 2002 08:31:48 +1000

## acl 2.2.23-2~maemo2

=== debian/changelog ===
acl (2.2.23-2~maemo2) unstable; urgency=low

  * Bumped up the version to force recompilation

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Wed, 11 Feb 2009 16:50:17 +0200

acl (2.2.23-2~maemo1) unstable; urgency=low

  * Removed version control information
  * Changed maintainer to integration@maemo.org

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Thu, 10 Apr 2008 11:24:26 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: acl
 Section: utils
 Priority: optional
-Maintainer: Nathan Scott <nathans@debian.org>
+Maintainer: maemo integration <integration@maemo.org>
 Build-Depends: autoconf, debmake, gettext, libtool, libattr1-dev (>= 2.4.4)
 Standards-Version: 3.5.9

## acl 2.2.26-1

=== debian/changelog ===
acl (2.2.26-1) unstable; urgency=low

  * New upstream release
  * acl.5 man page user/group typo fixed (closes: #272186)

 -- Nathan Scott <nathans@debian.org>  Fri, 10 Sep 2004 10:51:19 +1000

## acl 2.2.29-1

=== doc/Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 TOPDIR = ..
 include $(TOPDIR)/include/builddefs
 
-LSRCFILES = extensions.txt libacl.txt TODO PORTING CHANGES LICENSE INSTALL \
+LSRCFILES = extensions.txt libacl.txt TODO PORTING CHANGES COPYING INSTALL \
 	    old-acl.5
 LDIRT = *.gz
 
@@ -50,7 +50,7 @@
 ifeq ($(PKG_DISTRIBUTION), debian)
 	$(INSTALL) -S CHANGES.gz $(PKG_DOC_DIR)/changelog.gz
 else
-	$(INSTALL) -m 644 LICENSE $(PKG_DOC_DIR)
+	$(INSTALL) -m 644 COPYING $(PKG_DOC_DIR)
 endif
 
 install-dev install-lib:

=== debian/changelog ===
acl (2.2.29-1) unstable; urgency=low

  * New upstream release
  * Replace use of _POSIX_PATH_MAX with PATH_MAX (closes: #292819)

 -- Nathan Scott <nathans@debian.org>  Mon, 31 Jan 2005 20:13:02 +1100

acl (2.2.28-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Tue, 30 Nov 2004 15:29:29 +1100

## acl 2.2.39-1

=== include/Makefile ===
#
# Copyright (c) 2001-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

HFILES = acl.h libacl.h acl_ea.h misc.h
LSRCFILES = builddefs.in buildmacros buildrules config.h.in
LDIRT = sys acl

default:
	rm -f sys acl
	$(LN_S) . sys
	$(LN_S) . acl

include $(BUILDRULES)

install-dev: default
	$(INSTALL) -m 755 -d $(PKG_INC_DIR)
	$(INSTALL) -m 755 -d $(PKG_INC_DIR)/sys
	$(INSTALL) -m 644 acl.h $(PKG_INC_DIR)/sys/acl.h
	$(INSTALL) -m 755 -d $(PKG_INC_DIR)/acl
	$(INSTALL) -m 644 libacl.h $(PKG_INC_DIR)/acl/libacl.h
install install-lib:

=== m4/Makefile ===
#
# Copyright (c) 2003-2006 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = \
	manual_format.m4 \
	package_attrdev.m4 \
	package_globals.m4 \
	package_utilies.m4 \
	visibility_hidden.m4 \
	multilib.m4

default: 

include $(BUILDRULES)

install install-dev install-lib: default

=== po/Makefile ===
#
# Copyright (c) 2001-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LINGUAS = de fr pl sv
LSRCFILES = $(LINGUAS:%=%.po) $(PKG_NAME).pot

XGETTEXTFILES =	$(TOPDIR)/chacl/chacl.c \
		$(TOPDIR)/setfacl/do_set.c \
		$(TOPDIR)/setfacl/setfacl.c \
		$(TOPDIR)/getfacl/getfacl.c \
		$(TOPDIR)/libacl/acl_error.c \
		$(TOPDIR)/libacl/perm_copy_fd.c \
		$(TOPDIR)/libacl/perm_copy_file.c

default: $(LINGUAS:%=%.mo)

include $(BUILDRULES)

install: default
	$(INSTALL_LINGUAS)

install-dev install-lib:

=== setfacl/Makefile ===
#
# Copyright (c) 2000, 2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = setfacl
CFILES = setfacl.c do_set.c sequence.c parse.c
HFILES = sequence.h parse.h

LLDLIBS = $(LIBACL) $(LIBATTR) $(LIBMISC)
LTDEPENDENCIES = $(LIBACL) $(LIBMISC)

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
install-dev install-lib:

=== man/man3/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ../..
include $(TOPDIR)/include/builddefs

MAN_SECTION	= 3

MAN_PAGES	= $(shell echo *.$(MAN_SECTION))
MAN_DEST	= $(PKG_MAN_DIR)/man$(MAN_SECTION)
LSRCFILES	= $(MAN_PAGES)

default : $(MAN_PAGES)

include $(BUILDRULES)

install-dev : default
	$(INSTALL) -m 755 -d $(MAN_DEST)
	$(INSTALL_MAN)
install install-lib:

=== debian/changelog ===
acl (2.2.39-1) unstable; urgency=low

  * New upstream release
  * Add Swedish translation from Daniel Nylander (closes: #368656)
  * Fix get/setfacl segfault on non-existant files (closes: #370826)

 -- Nathan Scott <nathans@debian.org>  Wed, 07 Jun 2006 09:30:45 +1000

acl (2.2.37-1) unstable; urgency=low

  * New upstream release
  * Fix tree walking with symbolic links (closes: #333160)

 -- Nathan Scott <nathans@debian.org>  Tue, 02 May 2006 09:41:15 +1000

acl (2.2.36-1) unstable; urgency=low

  * New upstream release
  * Fixed build dependency on libc-dev (closes: #358788)

 -- Nathan Scott <nathans@debian.org>  Tue, 28 Mar 2006 09:14:25 +1100

acl (2.2.35-1) unstable; urgency=low

  * New upstream release
  * Switch from debmake to debhelper

 -- Nathan Scott <nathans@debian.org>  Wed, 15 Feb 2006 20:43:49 +1100

acl (2.2.34-1) unstable; urgency=low

  * New upstream release
  * Add libacl1-dev dependency on libattr1-dev (closes: #339786, #341711)

 -- Nathan Scott <nathans@debian.org>  Mon, 05 Dec 2005 11:15:41 +1100

acl (2.2.33-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Thu, 10 Nov 2005 07:59:12 +1100

acl (2.2.32-1) unstable; urgency=low

  * New upstream release
  * Added French translation (closes: #330596)

 -- Nathan Scott <nathans@debian.org>  Thu, 29 Sep 2005 09:47:28 +1000

## acl 2.2.39-1ubuntu2

=== debian/changelog ===
acl (2.2.39-1ubuntu2) edgy; urgency=low

  * Fix permissions on install-sh, resolving the FTBFS issues.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 18 Aug 2006 13:15:51 +1000

acl (2.2.39-1ubuntu1) edgy; urgency=low

  * Merge from debian unstable.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 28 Jun 2006 08:55:02 +0200

acl (2.2.34-1ubuntu1) dapper; urgency=low

  * include/buildrules: Drop --omit-header from xgettext call since the POT
    file needs a header to be imported properly. Closes: LP#40365
  * debian/rules: Regenerate POT file during build.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri,  5 May 2006 16:05:30 +0200

## acl 2.2.41-1

=== chacl/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = chacl
CFILES = chacl.c

LLDLIBS = $(LIBACL) $(LIBATTR)
LTDEPENDENCIES = $(LIBACL)

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
install-dev install-lib:

=== getfacl/Makefile ===
#
# Copyright (c) 2000, 2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = getfacl
CFILES = getfacl.c user_group.c
HFILES = user_group.h

LLDLIBS = $(LIBACL) $(LIBATTR) $(LIBMISC)
LTDEPENDENCIES = $(LIBACL) $(LIBMISC)

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
install-dev install-lib:

=== po/Makefile ===
--- 
+++ 
@@ -5,8 +5,10 @@
 TOPDIR = ..
 include $(TOPDIR)/include/builddefs
 
+POTHEAD = $(PKG_NAME).pot
 LINGUAS = de fr pl sv
-LSRCFILES = $(LINGUAS:%=%.po) $(PKG_NAME).pot
+LSRCFILES = $(LINGUAS:%=%.po) $(POTHEAD)
+LDIRT = $(POTHEAD)
 
 XGETTEXTFILES =	$(TOPDIR)/chacl/chacl.c \
 		$(TOPDIR)/setfacl/do_set.c \
@@ -16,7 +18,7 @@
 		$(TOPDIR)/libacl/perm_copy_fd.c \
 		$(TOPDIR)/libacl/perm_copy_file.c
 
-default: $(LINGUAS:%=%.mo)
+default: $(POTHEAD) $(LINGUAS:%=%.mo)
 
 include $(BUILDRULES)

=== debian/changelog ===
acl (2.2.41-1) unstable; urgency=low

  * New upstream release
  * Rework translation Makefile slightly (closes: #375796)

 -- Nathan Scott <nathans@debian.org>  Fri, 21 Jul 2006 09:37:35 +1000

## acl 2.2.42-1ubuntu1

=== debian/changelog ===
acl (2.2.42-1ubuntu1) feisty; urgency=low

  * Merge from debian unstable, remaining changes:
    * debian/rules: Regenerate POT file during build.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Dec 2006 12:20:25 +0100

acl (2.2.42-1) unstable; urgency=low

  * New upstream release
  * Incorporate Petr Salinger's GNU/kFreeBSD patch (closes: #401511)

 -- Nathan Scott <nathans@debian.org>  Fri, 08 Dec 2006 14:21:40 +1100

acl (2.2.41-1ubuntu1) feisty; urgency=low

  * Merge from debian unstable.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 14 Nov 2006 14:09:16 -0800
